Get an API key
curl --request GET \
--url https://go-fetch.io/api/v1/api-keys/{id}/ \
--header 'X-API-Key: <api-key>'import requests
url = "https://go-fetch.io/api/v1/api-keys/{id}/"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://go-fetch.io/api/v1/api-keys/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_name": "<string>",
"environment": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"environment_name": "<string>",
"environment_slug": "<string>",
"name": "<string>",
"prefix": "<string>",
"scopes": [
"read"
],
"last_used_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"rate_limit": 50000,
"is_active": true,
"expires_at": "2023-11-07T05:31:56Z"
}API keys
Get an API key
Get, update or delete an API key.
GET requires ‘read’ scope. PUT/PATCH/DELETE require ‘admin’ scope.
GET
/
api
/
v1
/
api-keys
/
{id}
/
Get an API key
curl --request GET \
--url https://go-fetch.io/api/v1/api-keys/{id}/ \
--header 'X-API-Key: <api-key>'import requests
url = "https://go-fetch.io/api/v1/api-keys/{id}/"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://go-fetch.io/api/v1/api-keys/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_name": "<string>",
"environment": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"environment_name": "<string>",
"environment_slug": "<string>",
"name": "<string>",
"prefix": "<string>",
"scopes": [
"read"
],
"last_used_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"rate_limit": 50000,
"is_active": true,
"expires_at": "2023-11-07T05:31:56Z"
}Authorizations
Path Parameters
Response
200 - application/json
Friendly name for the API key
Maximum string length:
255read- readwrite- writeadmin- admin
Available options:
read, write, admin Requests per hour, from 1 to 100,000. A value outside that range is refused with a 400 that names rate_limit.
Required range:
1 <= x <= 100000